library ieee;
use ieee.std_logic_1164.all;

entity or_gate is
	port
	( 
		a, b: in std_logic;
		y: 	out std_logic
	);
end;

architecture mfm of or_gate is
begin
	y <= a or b;
end;

-- ab hier beginnt eine neue design unit

library ieee;
use ieee.std_logic_1164.all;

entity and_gate is
	port
	( 
		a, b, c: in std_logic;
		y: 	out std_logic
	);
end;

architecture mfm of and_gate is

begin
	y <= a and b and c;
end;


library ieee;
use ieee.std_logic_1164.all;

entity adder_with_N is
	generic
	(
		MAX_SUM: integer := 100
	);
	port
	(
		a, b: 	in 	integer;
		y	  : 	out integer
	);
end;

architecture mfm_adder of adder_with_N is

begin

	y <= 	a+b when (a+b) < MAX_SUM
		else 0;
end;


