library ieee;
use ieee.std_logic_1164.all;

package mfm_gates is

-- Deklaration des Blocks or_gate
component or_gate is
	port
	( 
		a, b: in std_logic;
		y: 	out std_logic
	);
end component;

-- Deklaration des Blocks and_gate
component and_gate is
	port
	( 
		a, b, c: in std_logic;
		y: 	out std_logic
	);
end component;

component adder_with_N is
	generic
	(
		MAX_SUM: integer := 100
	);
	port
	(
		a, b: 	in 	integer;
		y	  : 	out integer
	);
end component;

end;