library ieee;
use ieee.std_logic_1164.all;

library work;
use work.mfm_gates.all;

entity top is
	port
	(
		takt:		in std_logic;
		zahl_raus:	out integer;
		s1, s2, s3: in std_logic;
		y:				out std_logic;
		a_rein, b_rein: in integer;
		summe:	out integer
	);
end;

architecture mfm of top is
	signal r: std_logic;
	signal zahl: integer;
	
begin

zahl_raus <= zahl;

	-- Instanzierung der Module (Blcke)
UND:	and_gate port map (s1, s2, '1', r);
ODER:	or_gate port map (y => y, a => r, b => s3);
ADD:	adder_with_N generic map (MAX_SUM => 9) port map (a => a_rein, b => b_rein, y => summe);

zaehler:
	process(all)
	begin
		if rising_edge(takt)
		then
			zahl <= zahl+1;
		end if;
	end process;
end;

		